Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja.
Wątki z problemami zamieszczone w dziale "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Autor Wątek: Menadżer pakietów w trybie graficznym  (Przeczytany 2979 razy)

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 3122
  • Reputacja: 49
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #45 dnia: Czerwiec 04, 2021, 03:41:44 pm »
@D35CART35: Tak jak każdą paczkę z AUR :)
Można też - mając np. pak (na forum tym i forum.archlinux.org.pl instrukcja instalacji): pak -SA alpm_octopi_utils-dev a po instalacji pak -SA octopi-devW ten sposób na pewno zostanie wymuszona instalacja wersji z AUR.

Offline D35CART35

  • Newbie
  • *
  • Wiadomości: 47
  • Reputacja: 1
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #46 dnia: Czerwiec 05, 2021, 07:20:29 am »
Przy instalacji pkgbuild mam błąd w budowaniu nie za bardzo rozumiem o co chodzi.
usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/11.1.0/../../../../lib/libalpm_octopi_utils.so: undefined reference to `alpm_option_set_arch'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/11.1.0/../../../../lib/libalpm_octopi_utils.so: undefined reference to `alpm_option_get_arch'
collect2: error: ld returned 1 exit status
make: *** [Makefile:523: bin/octopi] Błąd 1
==> BŁĄD: Wystąpił błąd w build().
    Przerywam...
błąd podczas budowania: octopi-dev

To są ostatnie linijki budowania.

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 3122
  • Reputacja: 49
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #47 dnia: Czerwiec 05, 2021, 09:30:38 am »
Musisz pokazać całość logów z budowy, by to miało sens. Czym to budujesz? Gdzieś popełniasz jakiś błąd, albowiem alpm_octopi_utils-dev buduje się prawidłowo.
Chyba to również na nowy wątek.

Offline rzax666

  • Jr. Member
  • **
  • Wiadomości: 80
  • Reputacja: -39
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #48 dnia: Czerwiec 05, 2021, 12:16:17 pm »
ta bibloteka ma mega dokumentacje  :o a co gorsze nie korzysta z dbusa... co jest dziwne  co najmniej ...

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 3122
  • Reputacja: 49
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #49 dnia: Czerwiec 05, 2021, 01:10:58 pm »
@D35CART35 - Obie paczki mają aktualizację (alpm_octopi_utils do pkgrel 6, octopi do pkgrel 3. Spróbuj teraz.

Offline ciubaka

  • Hero Member
  • *****
  • Wiadomości: 590
  • Reputacja: 5
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #50 dnia: Czerwiec 05, 2021, 11:42:28 pm »
Pytanie 1:
dlaczego nie odinstalować istniejącego octopi i nie zrobić w terminalu sudo pacman -S octopi-dev ?
Odpowiedź 1:
ja tak zrobilem i wygląda że działa. Jeszcze nie wiem czy poprawnie, ale tak jakby działa.
Spostrzeżenie ogólne:
można też to zrobić w tej aplikacji Pakiety, co to niedobra jest, ale ona na to też pozwala.
Pozdrawiam z wieczora. Nasi wlali dwóm mocarstwom w siatę. Fajnie :-)

Offline robson75

  • Hero Member
  • *****
  • Wiadomości: 1659
  • Reputacja: 10
  • Nie ufaj nikomu w sieci, nawet mi.
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #51 dnia: Czerwiec 06, 2021, 12:16:17 am »
Pytanie 1:
dlaczego nie odinstalować istniejącego octopi i nie zrobić w terminalu sudo pacman -S octopi-dev ?
@D35CART35 najwidoczniej nie używa repa chaotic-aur.
Arch Linux Xfce+compiz - 64Bit Linux User #621110 

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 3122
  • Reputacja: 49
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #52 dnia: Czerwiec 06, 2021, 06:24:39 am »
Pytanie 1:
dlaczego nie odinstalować istniejącego octopi i nie zrobić w terminalu sudo pacman -S octopi-dev ?
Odpowiedzi:
1. Bo moja podpowiedź o konieczności instalacji z AUR była z okresu, kiedy nie było w chaotic-aur wersji działającej z pacman 6.0.
2. Bo w AUR jest już poprawiona w stosunku do chaotic-aur wersja obu paczek.

Offline Piejanto

  • Sr. Member
  • ****
  • Wiadomości: 492
  • Reputacja: 0
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #53 dnia: Czerwiec 06, 2021, 09:30:35 pm »
Właśnie, chciałem wyrazić swoje zdumienie. Miałem do zeszłego tygodnia Pamaca. Pokazywał mi informacje o konieczności aktualizacji i łatwo mogłem się zorientować, co mam zainstalowane, a czego nie mam.
Od kilku dni nie dostawałem informacji o gotowych aktualizacjach, więc się zaniepokoiłem. Wpisałem
pak -m
następnie
pak -Syu
i okazało się, że ruszyła ogromna aktualizacja, o której mnie nie poinformował system.
Ponieważ potrzebuję dodać Qbittorrenta wszedłem w [menu/system/dodaj/usuń] programy czyli w Pamaca, i nie ma żadnej reakcji.
Nieprzyjemna niespodzianka. Spróbowałem dodać Qbittorrenta przez [menu/pakiety]. Niby mi zainstalowało, ale jakoś tak niepewnie, że w sumie nie wiem, czy to jest zainstalowane.
Spróbuję zainstalować Qbittorenta PAK-iem, ale mam pietra bo nie pamiętam jak się to robi i gdzie czego szukać.
Pamac był wygodny bo pokazywał wszystko co jest zainstalowane, a co jest niezainstalowane.
Nie bardzo wiem, co mogłoby go zastąpić.
Proszę o sugestie.


Mógłbym może ściągnąć Qbittorrenta i go instalować ręcznie, ale w sumie nie wiem teraz co się stanie, jeśli tam się coś faktycznie zainstalowało.
Próbowałem doinstalować Pamaca  za pomocą [menu/pakiet], ale się chyba nic nie zmieniło.
Jeszcze nie resetowałem komputra ale chyba powinien działać bez resetu?


« Ostatnia zmiana: Czerwiec 06, 2021, 09:37:59 pm wysłana przez Piejanto »

Offline robson75

  • Hero Member
  • *****
  • Wiadomości: 1659
  • Reputacja: 10
  • Nie ufaj nikomu w sieci, nawet mi.
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #54 dnia: Czerwiec 06, 2021, 09:48:57 pm »
Janek, pamac jest w tej chwili mocno nieaktualny, a to za sprawą nowego pacmana.
Proponuje zainstalować octopi-dev (jest w repo chaotic-aur), a jeżeli chcesz mieć powiadomienia o aktualizacjach to dodatkowo musisz doinstalować octopi-notifier-qt5.
Arch Linux Xfce+compiz - 64Bit Linux User #621110 

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 3122
  • Reputacja: 49
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #55 dnia: Czerwiec 06, 2021, 11:39:54 pm »
Janek - przecież masz w tym wątku napisane wszystko. Dodatkowo jeszcze jest tu: https://forum.archlinux.org.pl/viewtopic.php?pid=7160#p7160.
Obecnie jedyna nakładka GUI, która działa to chyba wyłącznie octopi-dev - najlepiej z AUR, w ostateczności z chaotic-aur. Octopi ma też swoje paczki "notifier", które powiadamiają o aktualizacjach.
Jeśli już o tym ostatnim - skoro używasz pak, to... pak też potrafi to robić i robi bardzo dobrze.
Kiedy pamac będzie działać? Tego nie wie nikt. Ogólnie wówczas, gdy do stable (a przynajmniej testing) Manjaro trafi pacman 6.0.

Offline Piejanto

  • Sr. Member
  • ****
  • Wiadomości: 492
  • Reputacja: 0
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #56 dnia: Czerwiec 07, 2021, 12:31:00 am »
@pavbaranov
Jestem trochę przyjezdny, gdyż wróciłem dopiero do Łodzi. Zaraz wrócę do lektury tego problemu bo wyszedłem zbyt wcześnie, wyrzucić tego Pamaca.

Odinstalowałem Pamaca i teraz mam zamiast [dodaj/usuń oprogramowanie] mam [/menu/Aktualizacja pakietów] ale od razu mi powiedziało, że jest jakiś błąd.
Zrobiłem aktualizację przez PAK ale na początku otrzymałem ostrzeżenie:

'ostrzeżenie: plik konfiguracyjny /etc/pacman.conf, linia 34: dyrektywa 'TotalDownload' w sekcji 'options' nie została rozpoznana.'

- po tym ostrzeżeniu aktualizacja przebiegła normalnie.
Czy powinienem coś usunąć ręcznie? Czy to skutek usunięcia Pamaca?
Zrobiłem czyszczenie [pak =ScA]  ale ostrzeżenie znów się pojawiło




Offline Piejanto

  • Sr. Member
  • ****
  • Wiadomości: 492
  • Reputacja: 0
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #57 dnia: Czerwiec 07, 2021, 12:39:56 am »
@ciubaka
@pavbaranov ma rację. Też bez przekonania podchodziłem do PAK-a ale kilka razy pomógł mi bardzo. Świetnie robi aktualizacje i ma świetnie opracowaną legendę po wpisaniu [pak] i przyklepaniu. Od razu wiadomo jakie polecenie do czego służy i nie potrzeba wpisywać kilometrowych komend jak w przypadku Reflectora.
Przykład aktualizacji mirrors:
w przypadku Reflector polecenie:     [reflector --verbose --latest 5 --sort rate --save /etc/pacman.d/mirrorlist]
w przypadku PAK polecenie : [pak -m]

Aktualizacja w przypadku PAK-a to polecenie [pak -Syu]

Rewelacja. Polecam szczerze.

Offline Piejanto

  • Sr. Member
  • ****
  • Wiadomości: 492
  • Reputacja: 0
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #58 dnia: Czerwiec 07, 2021, 12:56:36 am »
@software
@pavbaranov
"Nie wiem, czy błędy w pamac są, czy ich nie ma, bo sam go nie używam. Jednak z lektury innych forów mogę wyciągnąć wnioski, że co najmniej w kilku przypadkach dawał "dziwne" efekty."

Chyba wiem, dlaczego Pamac jesy niedobry do instalacji. Otóż kilkakrotnie zdarzyło mi się, że zainstalowane aplikacje nie chodziły jak trzeba. Okazało się, że Pamac instaluje tylko to co mu sie wskaże, a nie instaluje aplikacji koniecznych do prawidłowego działania pożądanej aplikacji. Ja miałem tak z Zoom-em i jeszcze jakimś programem, że dopiero koledzy mi uświadomili, iż należy sprawdzać, jakich podaplikacji potrzebuje zainstalowana przez Pamaca aplikacja. Sprawdziłem i się okazało, że trzeba było doinstalować po parę paczek. Doinstalowałem również Pamacem, ale sam Pamac o nawet nie wspomniał, że czegoś jeszcze potrzeba.

Offline Piejanto

  • Sr. Member
  • ****
  • Wiadomości: 492
  • Reputacja: 0
Odp: Menadżer pakietów w trybie graficznym
« Odpowiedź #59 dnia: Czerwiec 07, 2021, 01:28:55 am »
@robson75 ; @pavbaranov

w sprawie: "Proponuje zainstalować octopi-dev (jest w repo chaotic-aur), a jeżeli chcesz mieć powiadomienia o aktualizacjach to dodatkowo musisz doinstalować octopi-notifier-qt5."

Dzięki @robson75 . Tak uczynię.
Mam gotowca od @pavbaranova :
pak -SA alpm_octopi_utils-dev

a po instalacji


pak -SA octopi-dev


Dzięki za pomoc.   Pozostaje tylko kwestia komunikatu po komendzie [pak -Syu] Tak jak już pisałem:

Zrobiłem aktualizację przez PAK ale na początku otrzymałem ostrzeżenie:

'ostrzeżenie: plik konfiguracyjny /etc/pacman.conf, linia 34: dyrektywa 'TotalDownload' w sekcji 'options' nie została rozpoznana.'

- po tym ostrzeżeniu aktualizacja przebiegła normalnie.

Cóż to być może?
« Ostatnia zmiana: Czerwiec 07, 2021, 01:38:09 am wysłana przez Piejanto »